#!/bin/bash

cat << EOF
---------------------------------------------
ONAP pods in Create or ImagePullBackOff state
---------------------------------------------
$(kubectl get pod -n onap | grep -i 'creating\|ImagePullBackOff')


---------------------------------------------
ONAP pods in Init state
---------------------------------------------
$(kubectl get pod -n onap | grep Init | grep -v Error)


---------------------------------------------
ONAP pods in Error or CrashLoopBackOff state
---------------------------------------------
$(kubectl get pod -n onap | grep 'Crash\|Error')


---------------------------------------------
Summary
---------------------------------------------
Creating/ImagePullBackOff : $(kubectl get pod -n onap | grep -i 'creating\|ImagePullBackOff' | wc -l) pods
Init                      : $(kubectl get pod -n onap | grep Init | grep -v Error | wc -l) pods
Error/CrashLoopBackOff    : $(kubectl get pod -n onap | grep 'Error\|Crash' | wc -l) pods
Terminating               : $(kubectl get pod -n onap | grep -i terminating | wc -l) pods
Running/Completed         : $(kubectl get pod -n onap | grep -i 'running\|completed' | wc -l) pods
Total                     : $(kubectl get pod -n onap | grep -v RESTART | wc -l) pods
---------------------------------------------
EOF
